com.hazelcast.jet.config

## Class JetConfigDataSerializerHook

- java.lang.Object
- - com.hazelcast.jet.config.JetConfigDataSerializerHook

- All Implemented Interfaces:
    com.hazelcast.internal.serialization.DataSerializerHook

      @PrivateApi
      public final class JetConfigDataSerializerHook
      extends Object
      implements com.hazelcast.internal.serialization.DataSerializerHook

  Hazelcast serializer hooks for the classes in the `com.hazelcast.jet.config` package. This is private API.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `FACTORY_ID`
    `static int` | `JOB_CONFIG` Serialization ID of the `JobConfig` class.

    - ### Fields inherited from interface com.hazelcast.internal.serialization.DataSerializerHook

      `F_ID_OFFSET_HIBERNATE, F_ID_OFFSET_WEBMODULE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JetConfigDataSerializerHook()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DataSerializableFactory` | `createFactory()`
    `int` | `getFactoryId()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### JOB_CONFIG

          public static final int JOB_CONFIG

      Serialization ID of the `JobConfig` class.
      See Also:
        Constant Field Values

    - #### FACTORY_ID

          public static final int FACTORY_ID

  - ### Constructor Detail

    - #### JetConfigDataSerializerHook

          public JetConfigDataSerializerHook()

  - ### Method Detail

    - #### getFactoryId

          public int getFactoryId()

      Specified by:
        `getFactoryId` in interface `com.hazelcast.internal.serialization.DataSerializerHook`

    - #### createFactory

          public DataSerializableFactory createFactory()

      Specified by:
        `createFactory` in interface `com.hazelcast.internal.serialization.DataSerializerHook`

Copyright © 2019. All rights reserved.